uniform sampler2D Texture;
uniform vec2 Resolution;
uniform vec3 BackgroundColor;
varying vec2 f_texcoord;

void main(void)
{
    float echelle = Resolution.y * 1.15;
    if (mod(floor(f_texcoord.y*echelle), 2.0) == 0.0)
       gl_FragColor =  vec4(BackgroundColor,1);
    else
       gl_FragColor = texture2D(Texture, f_texcoord);
}
